Subject: Re: bug#76561: [PATCH] Promote desktop-dirname to a defcustom

From: Stefan Kangas <[email-masked]>
Date: Tue, 25 Feb 2025 23:12:47 +0000

João Guerra <[email-masked]> writes:

> Hi Eli, I was just testing it out again and overriding desktop-path is
> enough for the behaviour I was looking for. No need to manually run
> desktop-save or anything (which I wanted to avoid on the first run).
> I'm flabbergasted. I'm not sure why I was always overriding it. I've
> also seen similar configurations doing the same (e.g. no-littering).

We also have `desktop-path`.  Mine is set to

    '("~/.emacs.d/cache" "~/.emacs.d/" "~")

and it seems to always DTRT, i.e. save the desktop file to

    ~/.emacs.d/cache/

It seems like there was no bug here, so I'm closing this now.

If this conclusion is incorrect and this is still an issue, please reply
to this email (use "Reply to all" in your email client) and we can
reopen the bug report.